package com.schoolinout.system.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author sakura
 * @date 2024/1/4 17:17:28 Thu
 */
@Schema(name = "绑定班级的班主任")
public class BindClassTeacherMain {

    @NotNull(message = "所属学校不能为空")
    @Schema(description = "学校id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long schoolId;
    @NotNull(message = "班级不能为空")
    @Schema(description = "班级id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long classId;
    @Schema(description = "教师id", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Long teacherId;

    @NotBlank(message = "关系不能为空")
    @Schema(description = "班级与教师的关系，Y或N；Y为绑定班主任关系，N是非班主任关系", requiredMode = Schema.RequiredMode.REQUIRED)
    private String teacherMain;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherMain() {
        return teacherMain;
    }

    public void setTeacherMain(String teacherMain) {
        this.teacherMain = teacherMain;
    }
}
